6.0.0-git
2019-04-21

[#10740] Reuse of Horde HTTP request object leads to weird side effects
Summary Reuse of Horde HTTP request object leads to weird side effects
Queue Kronolith
Queue Version 3.0.11
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester christof (at) buergi (dot) lugs (dot) ch
Created 2011-11-12 (2717 days ago)
Due
Updated 2011-11-14 (2715 days ago)
Assigned
Resolved 2011-11-14 (2715 days ago)
Milestone 3.0.12
Patch Yes

History
2011-11-14 15:37:31 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 3.0.12
 
2011-11-14 15:37:21 Git Commit Comment #2 Reply to this comment
Changes have been made in Git for this ticket:

Don't re-use Horde_Http_Client instances, they leak (Bug #10740).

  3 files changed, 5 insertions(+), 5 deletions(-)
http://git.horde.org/horde-git/-/commit/d26a8a9036edc53ffe02cd0522a1f776dd0b2fde
2011-11-12 18:01:56 christof (at) buergi (dot) lugs (dot) ch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Reuse of Horde HTTP request object leads to weird side effects
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ Yes
New Attachment: Ical.patch Download
Reply to this comment
Kronolith tries to reuse a Horde HTTP request object, once it got one. 
Unfortunately, the request object is not really built to be reused. 
Thus we get weird effects like GET requests with additional data (from 
the last request) or premature timeout errors.

Saved Queries